# Change Log

## 0.2.0

* completely rewritten on top of new (rewritten) shelf_route. Should be mostly
transparent to users except for the following breaking changes:
    * shelf_rest now extends shelf_route. 
        * The previous functions such as `bindResource`, `routeableAdapter`,
         `restHandler` and `restRouter` have been removed. Now you simply 
         import `shelf_rest` *_instead of_* `shelf_route` and the handling for
         `shelf_rest` is built into the router returned via the `router()`
         function.
    * child resources are now added using the `@AddAll` annotation. The previous
    method using a map is no longer supported
* several new features including:
    * annotations for basic route methods (`@Get`, `@Post` etc)
    * helpers to create HATEOAS links
    * see README for more details

## 0.1.5-pre.*

* experimental HATEOAS support

## 0.1.4

* Support query parameters on all methods. Thanks to pajn for the contribution


## 0.1.4-pre.*

* experimental HATEOAS support

## 0.1.3

* Allow validation of parameters to be configured at the bind function and
annotation level

## 0.1.2+1

* Doco improvements

## 0.1.2

* Turned validation of parameters on by default

## 0.1.1

* Add middleware support in the `RestMethod` annotation

## 0.1.0

* First version
